import { env } from "@/env/server"

export function getCacheEndpoint(key: string) {
  if (!env.REDIS_API_HOST) {
    throw new Error("REDIS_API_HOST is not set")
  }

  const url = new URL(`/api/cache`, env.REDIS_API_HOST)
  url.searchParams.set("key", encodeURIComponent(key))

  return url
}
